Subject: Re: [bug#69272] [PATCH v2 0/4] Refactor prosody modules, and add prosody-vcard-muc.

From: Carlo Zancanaro <[email-masked]>
Date: Sat, 24 Feb 2024 22:58:26 +1100

Hi Liliana,

On Sat, Feb 24 2024, Liliana Marie Prikler wrote:
> Hi, I just noticed that the prosody system test, as can be run through
>   make check-system TESTS=prosody
> appears to not be working.

That is unfortunate, but seems unrelated to my patch. Running this test
without my changes also hangs.

> You might want to fix that and also add a test for the vcard-muc you
> added.

Fixing this test is beyond the scope of this patch series, and as far as
I can tell there are no tests for other specific prosody modules. At the
moment I don't really have the time/inclination to add these things. If
that is a blocker for this patch series being accepted then I'll just
keep it in my own channel for now.

Carlo